package com.yihu.wlyy.entity.patient;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 患者自查医生建议项
 * @author George
 *
 */

@Entity
@Table(name = "wlyy_patient_self_inspection_item")
public class PatientSelfInspectionItem extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4804693444665939345L;

	// 自查标识
	private String inspection;
	// 设备标识
	private String device;
	// 设备名称
	private String deviceName;
	// 备注内容
	private String content;
	// 添加时间
	private Date czrq;

	public String getInspection() {
		return inspection;
	}

	public void setInspection(String inspection) {
		this.inspection = inspection;
	}

	public String getDevice() {
		return device;
	}

	public void setDevice(String device) {
		this.device = device;
	}

	@Column(name = "device_name")
	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
